#!/usr/bin/perl
##############################################################################
#  This software is unsupported.  You are on your own to figure out how to
# use it and/or to debug it.
##############################################################################
# Records the date and host of people visiting the web page.
##############################################################################
# Copy the desired script to your directory into a "bin" directory
# Create a directory called "logs" under your dir (i.e. UWRP3020/logs)
# Change the $masterDir path to reflect your directory 
#       (i.e. /htdocs/UWRP3020/logs). The full path
# must already exist.  Make the directory which will contain the logs
# permissions 777.
###################################################################
#### Do not change or move this line
($name = $ENV{DOCUMENT_URI}) =~ (s#/##g);
##############################################################################
## This is the only thing you need to change in the script
$masterDir= "/htdocs/physics/phys2210/phys2210_sp11/logs";
##############################################################################

$visfile = "$masterDir/visitors.to.${name}.x";
$countfile = "$masterDir/count.$name";
$index = "$masterDir/index.html";
$white = "#FFFFFF";
## create the visitor.to.$name File and add links
## to logs/index.html on first visit 
if (! (-e $visfile)) 
{
    open (DATA, ">>$visfile");
    print DATA "Visits to $ENV{'DOCUMENT_NAME'} (aka $name)\n\n";
    print DATA "Log Key is as follows:\n\n";
    print DATA "On DATE\n";
    print DATA "Remote Host (users IP address) ::";
    print DATA " HTTP Referer (where they came from) ::";
    print DATA " Browser Type\n\n ";
    close(DATA);
    open (INDEX, ">>$index");
    print INDEX "<h3>Log Links for $name</h3>";
    print INDEX "<body bgcolor=$white>";
    print INDEX "<blockquote>";
    print INDEX "<a href=\"visitors.to.${name}.x\">";
    print INDEX "Visitor Log</a><p>";
    print INDEX "<a href=\"count.$name\">";
    print INDEX "\"Hits\" Log</a><p>\n\n";
    print INDEX "</blockquote>";
    close INDEX;
}


#### Increment visitors file
$date = localtime;
open (DATA, ">> $visfile");
print DATA "On $date \n";
print DATA "$ENV{'REMOTE_ADDR'}::";
print DATA "$ENV{'HTTP_REFERER'}::";
print DATA "$ENV{'HTTP_USER_AGENT'}\n\n";       
close(DATA);

#### Increment hidden counter
$count = 0;

if (-e $countfile) {
    open (IN,"$countfile");
    while (<IN>) {
        ($count) = split;
    }
    close(IN);
}

$count++;

open (OUT,">$countfile");
select (OUT);
print OUT "$count visitors to $ENV{'DOCUMENT_NAME'}";
print OUT " as of $date\n";
close(OUT);
exit 0;
